#!/bin/sh

. VAR_CWHOME/bin/CWODAEnv.sh

#REM Define local batch PATH to insure we execute our jre
PATH=${CROSSWORLDS}:${CROSSWORLDS}/bin:${PATH}

AGENTNAME=i2ODA

AGENT=${CROSSWORLDS}/ODA/i2/i2ODA.jar
AGENTCLASS=com.crossworlds.oda.i2oda.i2ODA

JDOM_LIB=${CROSSWORLDS}/lib/jdom.jar


I2_CIS_HOME_DIR=


I2JAR=${I2_CIS_HOME_DIR}/lib/cis.jar:${I2_CIS_HOME_DIR}/lib/log4j.jar:
I2JAR=${I2JAR}:${I2_CIS_HOME_DIR}/lib/jmxri.jar:${I2_CIS_HOME_DIR}/lib/jaas.jar:
I2JAR=${I2JAR}:${I2_CIS_HOME_DIR}/lib/cis-sso.jar:${I2_CIS_HOME_DIR}/lib/cis-sso-spi.jar:
I2JAR=${I2JAR}:${I2_CIS_HOME_DIR}/lib/jdom.jar:${I2_CIS_HOME_DIR}/lib/cis-util.jar:${I2_CIS_HOME_DIR}/lib/metadata-service.jar:${I2_CIS_HOME_DIR}/lib/connector.jar:

I2PROPERTIES=${I2_CIS_HOME_DIR}/properties:


JCLASSES=${CWCLASSES}:${JDOM_LIB}:${AGENT}:${I2JAR}:${I2PROPERTIES}


#REM Start the Object Discovery Agent
${CWJAVA} ${JVM_FLAGS} ${ORB_DEP} -Djava.ext.dirs=${JRE_EXT_DIRS} -classpath ${JCLASSES} com.crossworlds.ODKInfrastructure.${CONNECTION} -l${AGENTNAME} -c${AGENTCLASS} 

